Bug 18720 - Get rid of "die" in favor of exceptions in C4::Acquisition::GetBasketAsCsv
Summary: Get rid of "die" in favor of exceptions in C4::Acquisition::GetBasketAsCsv
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 8612
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-02 09:10 UTC by Josef Moravec
Modified: 2018-11-28 13:36 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18720: Use exception instead of die in GetBasketAsCsv (2.47 KB, patch)
2018-06-25 12:33 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18720: Use exception instead of die in GetBasketAsCsv (2.55 KB, patch)
2018-10-26 14:38 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 18720: Use exception instead of die in GetBasketAsCsv (2.61 KB, patch)
2018-10-28 12:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2017-06-02 09:10:35 UTC
See bug 8612:

(Marcel de Rooy from comment #110)
> And:
> die "There is no valid csv profile given" unless $csv_profile;
> Being liberal now. But we should actually use Koha::Exceptions now according
> to a new rule in the coding guidelines.
Comment 1 Josef Moravec 2018-06-25 12:33:17 UTC
Created attachment 76373 [details] [review]
Bug 18720: Use exception instead of die in GetBasketAsCsv

Test plan:
prove t/db_dependent/Acquisition/GetBasketAsCSV.t
Comment 2 Andrew Isherwood 2018-10-26 14:38:48 UTC
Created attachment 81296 [details] [review]
Bug 18720: Use exception instead of die in GetBasketAsCsv

Test plan:
prove t/db_dependent/Acquisition/GetBasketAsCSV.t

Signed-off-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 3 Katrin Fischer 2018-10-28 12:44:42 UTC
Created attachment 81406 [details] [review]
Bug 18720: Use exception instead of die in GetBasketAsCsv

Test plan:
prove t/db_dependent/Acquisition/GetBasketAsCSV.t

Signed-off-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2018-10-31 15:03:36 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-11-09 16:05:00 UTC
Pushed to 18.05.x for 18.05.06
Comment 6 Fridolin SOMERS 2018-11-28 13:36:04 UTC
Pushed to 17.11.x for 17.11.13